# Build system requires too many stuff just to get the git hash of the
# tag used for building the tar.gz. Setting here.
%global commit b28fb50058dfe2864171df2448ad2ad2b4c2ad58

Name:           unboundid-ldapsdk
Version:        4.0.5
Release:        1%{?dist}
Summary:        UnboundID LDAP SDK for Java

License:        GPLv2 or LGPLv2+
URL:            https://www.ldap.com/unboundid-ldap-sdk-for-java
Source0:        https://github.com/pingidentity/ldapsdk/archive/%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  ant
%if 0%{?fedora}
BuildRequires:  javapackages-local
%endif
%if 0%{?rhel}
BuildRequires:  maven-local
%endif


%description
The UnboundID LDAP SDK for Java is a fast, powerful, user-friendly, and
completely free Java library for communicating with LDAP directory servers and
performing related tasks like reading and writing LDIF, encoding and
decoding data using base64 and ASN.1 BER, and performing secure communication.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n ldapsdk-%{version}
#remove external prebuilt libraries
rm -rf ext

%build
# checkstyle configuration files were in the ext directory
# code doesn't pass checkstyle 5.6 disabling the check until upstream
# fixes it
# upstream added code for getting exact git references for the build
# too many deps just for getting a git hash.

ant \
    -Dcheckstyle.enabled=false \
    -Drepository-info.revision=%{commit} \
    -Drepository-info.revision-number=-1 \
    -Drepository-info.type=git \
    -Drepository-info.url=https://github.com/pingidentity/ldapsdk.git \
    -Depository-info.path=\/ \
    -f build.xml package

%install

%jar -xf build/package/%{name}-%{version}-maven.jar
rm -fr META-INF
mkdir javadoc
cd javadoc
%jar -xf ../unboundid-ldapsdk-*-javadoc.jar
rm -fr META-INF
cd ..

%mvn_artifact %{name}-%{version}.pom %{name}-%{version}.jar
%mvn_file com.unboundid:%{name} %{name}
%mvn_install -J javadoc

%files -f .mfiles
%license dist-root/LICENSE.txt
%license dist-root/LICENSE-LGPLv2.1.txt
%license dist-root/LICENSE-UnboundID-LDAPSDK.txt
%license dist-root/LICENSE-GPLv2.txt
%doc dist-root/README.txt

%files javadoc -f .mfiles-javadoc
%license dist-root/LICENSE.txt
%license dist-root/LICENSE-LGPLv2.1.txt
%license dist-root/LICENSE-UnboundID-LDAPSDK.txt
%license dist-root/LICENSE-GPLv2.txt

%changelog
* Mon Mar 19 2018 Sandro Bonazzola <sbonazzo@redhat.com> - 4.0.5-1
- Update to 4.0.5 (#1557972)
- Fix CVE-2018-1000134 (#1558308)

* Tue Mar 07 2017 Sandro Bonazzola <sbonazzo@redhat.com> - 3.2.1-1
- Rebased on upstream 3.2.1
- Resolves: BZ#1429812

* Fri Sep 23 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 3.2.0-1
- Rebased on upstream 3.2.0
- Resolves: BZ#1379661

* Tue Jul 7 2015 Alon Bar-Lev <alonbl@redhat.com> 3.0.0-1
- Bump, rhbz#1237311 closer to fedora unboundid-ldapsdk-3.0.0-1.fc23

* Sun May 4 2014 Alon Bar-Lev <alonbl@redhat.com> 2.3.7-0.0.snap.r530
- Initial, rhbz#1111178
